complexType "OptionBase"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 13 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((primaryAssetClass, secondaryAssetClass*, productType*, productId*) | (((productType+, productId*) | productId+), assetClass*))?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?
</...>

Content Model Elements (13):

  assetClass (defined in Product.model group), buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), optionType (defined in OptionBase complexType), primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), productId (defined in Product.model group), | productId (defined in Product.model group), productType (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group), sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group)

Known Direct Subtypes (2):

  OptionBaseExtended, VarianceOptionTransactionSupplement

Known Indirect Subtypes (2):

  BondOption, CreditDefaultSwapOption

All Direct / Indirect Based Elements (3):

  bondOption, creditDefaultSwapOption, varianceOptionTransactionSupplement

Known Usage Locations

- In derivations of other global types (2):
  OptionBaseExtended (as extension base),
  VarianceOptionTransactionSupplement (as extension base)

Annotation
A type for defining the common features of options.
Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) OptionBase

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="OptionBase"> <xsd:complexContent> <!--5-1 FX Refactoring: Replaced the Product with Option base class. Removed BuyerSeller.model as it exists inside the option base class--> <xsd:extension base="Option"> <xsd:sequence> <xsd:element minOccurs="0" name="optionType" type="OptionTypeEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/13)
optionType

  Type: | OptionTypeEnum, simple content

  The type of option transaction. From a usage standpoint, put/call is the default option type, while payer/receiver indicator is used for options index credit default swaps, consistently with the industry practice. Straddle is used for the case of straddle strategy, that combine a call and a put with the same strike.
  Simple Content

  ("Put" | "Call") | ("Payer" | "Receiver" | "Straddle")

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="OptionTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.